Subject: bug#46240: [External] : bug#46240: Sorting order of read-char-by-name

From: Drew Adams <[email-masked]>
Date: Tue, 2 Feb 2021 17:57:03 +0000

> But the problem is that currently characters of one Unicode block
> are scattered among the whole list.

I agree 100% that different sort orders
can be useful.
___

I think Emacs needs a _general_ way for
users and code to change sort orders.

In particular, users should be able to
change sort order on the fly, during
completion.

And code should be able to provide, for
any given completion choosing (e.g.
`completing-read'), the allowable sort
orders for a user to choose from.
___

(FWIW, I provide that with Icicles.)